Subject: Some notes on "Writing Efficient Programs"

From: Federico Kereki <[email-masked]>
Date: Tue, 03 Aug 1999 15:39:17 -0300

On your review of Jon Bentley's book "Writing Efficient Programs" I found
a couple of problems.

When it says "the frequent need to test whether an integer J is contained
in the inclusive range (I,K), naively coded ((I<=J)&&(J<=K)),
can be implemented as ((J-I)<(K-I))" the new condition is lacking
the test (J-I)>0.

Where it reads "not (not(A) .and. not(B)) but not(A .and. B) (DeMorgan's
Law)" the second option should read "not (A .OR. B)."

I value highly all of Bentley's works, so I thought these notes ought to
be corrected lest unaware readers think badly of the book.

Best regards,

Federico Kereki